﻿using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Application.Validators.XieTong
{
    public class SendSuperviseProcessInfoValidator : AbstractValidator<PublishSuperviseDto>
    {
        public SendSuperviseProcessInfoValidator()
        {
            RuleFor(d => d.Supervise.SuperviseSerial).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.Supervise.ReUser).NotEmpty();
            RuleFor(d => d.Supervise.ReplyTime).NotEmpty();
            RuleFor(d => d.Supervise.ReplyContent).NotEmpty();
        }
    }
}
